System Requirements

Operating Systems

  • Windows XP SP3 and newer
  • Mac OSX 10.6 and newer
  • Linux - chromeOS

Computer Speed and Processor

  • Use a computer 5 years old or newer when possible
  • 1GB of RAM
  • 2GHz processor

Internet Speed

  • Minimum of 512kbps

Supported Browsers

We highly recommend updating to the newest version of whatever browser you are using as well as the most up-to-date Flash plug-in.

As of February 20, 2016, the following versions of Flash and popular web browsers:

  • Internet Explorer 11 and Edge
  • Chrome 47 and 48
  • Safari 8 and 9
  • Firefox 43 and 44 (Extended Releases are not supported)
  • Flash 17 and 18 (used for recording or viewing audio/video and uploading files)
  • Respondus Lockdown Browser (supporting the latest system requirements)

​In addition to the requirements documented above, the following are required (or recommended) to fully utilize the program: